# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(English.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
Name:           perl-Perl-Critic-Deprecated
Version:        1.108
Release:        alt1_7
Summary:        Perl::Critic policies which have been superseded by others
License:        GPL+ or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/Perl-Critic-Deprecated/
Source0:        http://www.cpan.org/authors/id/E/EL/ELLIOTJS/Perl-Critic-Deprecated-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(Exporter.pm)
BuildRequires:  perl(Module/Build.pm)
BuildRequires:  perl(Perl/Critic/Policy.pm)
BuildRequires:  perl(Perl/Critic/TestUtils.pm)
BuildRequires:  perl(Perl/Critic/Utils.pm)
BuildRequires:  perl(PPI/Node.pm)
BuildRequires:  perl(Readonly.pm)
BuildRequires:  perl(Test/More.pm)
# Tests only
BuildRequires:  perl(File/Slurp.pm)
BuildRequires:  perl(Perl/Critic/TestUtils.pm)
BuildRequires:  perl(Test/Pod/Coverage.pm)
Requires:       perl(Perl/Critic/Policy.pm) >= 1.094
Requires:       perl(Perl/Critic/Utils.pm) >= 1.094

# Filter underspecified dependecies
# RPM 4.8 style:
%filter_from_requires /^perl.Perl.Critic.Policy.pm.$/d
%filter_from_requires /^perl.Perl.Critic.Utils.pm.$/d

# RPM 4.9 style:


Source44: import.info

%description
The included policies are:
  - Write "$my_variable = 42" instead of "$MyVariable = 42".
  - Write "sub my_function{}" instead of "sub MyFunction{}".

%prep
%setup -q -n Perl-Critic-Deprecated-%{version}

%build
%{__perl} Build.PL --install_path bindoc=%_man1dir installdirs=vendor
./Build

%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;
# %{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%files
%doc Changes README
%{perl_vendor_privlib}/*

%changelog
* Mon Mar 04 2013 Igor Vlasenko <viy@altlinux.ru> 1.108-alt1_7
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 1.108-alt1_6
- update to new release by fcimport

* Wed May 30 2012 Igor Vlasenko <viy@altlinux.ru> 1.108-alt1_4
- fc import

